Bug 1125845 - [RFE] Support management of gluster geo-replication session from oVirt
Summary: [RFE] Support management of gluster geo-replication session from oVirt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RFEs
Version: ---
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 850458 rhsc_qe_tracker_everglades 1224280
TreeView+ depends on / blocked
 
Reported: 2014-08-01 08:52 UTC by Sahina Bose
Modified: 2016-03-11 07:19 UTC (History)
8 users (show)

Fixed In Version: ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Enhancement
Doc Text:
Feature: Enables users to easily setup and manage geo-replication between managed clusters.
Clone Of:
: 1224280 (view as bug list)
Environment:
Last Closed: 2016-03-11 07:19:16 UTC
oVirt Team: Gluster
rule-engine: ovirt-3.6.0+
ylavi: planning_ack+
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 29947 master MERGED engine: Added tables for geo replication entities Never
oVirt gerrit 31795 master MERGED engine: Change to geo-replication entities Never
oVirt gerrit 33006 master MERGED engine: VDS command to stop and delete geo-rep session Never
oVirt gerrit 33038 master MERGED bll: stop and delete geo-rep session Never
oVirt gerrit 33073 master MERGED bll: base class for geo-rep session commands Never
oVirt gerrit 34216 master MERGED dal: Get geo-rep session with slave host and volume Never
oVirt gerrit 39340 ovirt-engine-3.5-gluster MERGED engine: Change to geo-replication entities Never
oVirt gerrit 39341 ovirt-engine-3.5-gluster MERGED engine: Added tables for geo replication entities Never
oVirt gerrit 39378 ovirt-engine-3.5-gluster MERGED engine: VDS command to stop and delete geo-rep session Never
oVirt gerrit 39580 ovirt-engine-3.5-gluster MERGED bll: base class for geo-rep session commands Never
oVirt gerrit 39612 ovirt-engine-3.5-gluster MERGED bll: stop and delete geo-rep session Never
oVirt gerrit 39676 ovirt-engine-3.5-gluster MERGED dal: Get geo-rep session with slave host and volume Never

Description Sahina Bose 2014-08-01 08:52:10 UTC
Description of problem:

To provide for disaster recovery, gluster volumes can be configured to be backed up to a remote site using the geo-replication feature.

Support for configuring and setting this up to be provided in oVirt  

Version-Release number of selected component (if applicable):


How reproducible:
NA

Steps to Reproduce:
RFE

Comment 1 SATHEESARAN 2016-02-25 08:39:53 UTC
Tested with RHEV 3.6.3.3 by adding RHGS 3.1.2 RC to 3.5 cluster

Geo-replication session could be created, started, monitored and managed from RHEVM UI


Note You need to log in before you can comment on or make changes to this bug.